import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {LecturerRootComponent} from 'src/app/LecturerComponents/lecturer-root.component';
import {LecturerPaperViewComponent} from './LecturerPaperView/lecturer-paper-view.component';
import {LecturerSubmissionsViewComponent} from './LecturerSubmissionsView/lecturer-submissions-view.component';
import {LecturerResponseViewComponent} from './LecturerResponseView/lecturer-response-view.component';
import {LecturerCreateOmpViewComponent} from './LecturerCreateOMPView/lecturer-create-omp-view.component';
import {LecturerTemplateViewComponent} from './LecturerTemplateView/lecturer-template-view.component';
import {LecturerEditTemplateViewComponent} from './LecturerEditTemplateView/lecturer-edit-template-view.component';


const lecturerRoutes = [
  { path: 'ldashboard', component: LecturerRootComponent },
  { path: 'paper-view', component: LecturerPaperViewComponent },
  { path: 'submissions-view', component: LecturerSubmissionsViewComponent},
  { path: 'response-view', component: LecturerResponseViewComponent },
  { path: 'creation-view', component: LecturerCreateOmpViewComponent },
  { path: 'creation-template-view', component: LecturerCreateOmpViewComponent },
  { path: 'template-view', component:   LecturerTemplateViewComponent },
  { path: 'edit-template-view', component:   LecturerEditTemplateViewComponent }
];

@NgModule({
  imports: [
    RouterModule.forChild(lecturerRoutes)
  ],
  exports: [
    RouterModule
  ]
})
export class LecturerRoutesModule {
}
